package it.sw.pa.comune.artegna.domain;

import java.util.Random;
import java.util.UUID;
import java.util.concurrent.atomic.AtomicLong;

public class AuditLogTestSamples {

    private static final Random random = new Random();
    private static final AtomicLong longCount = new AtomicLong(random.nextInt() + (2L * Integer.MAX_VALUE));

    public static AuditLog getAuditLogSample1() {
        return new AuditLog().id(1L).entitaId(1L).dettagli("dettagli1").ipAddress("ipAddress1");
    }

    public static AuditLog getAuditLogSample2() {
        return new AuditLog().id(2L).entitaId(2L).dettagli("dettagli2").ipAddress("ipAddress2");
    }

    public static AuditLog getAuditLogRandomSampleGenerator() {
        return new AuditLog()
            .id(longCount.incrementAndGet())
            .entitaId(longCount.incrementAndGet())
            .dettagli(UUID.randomUUID().toString())
            .ipAddress(UUID.randomUUID().toString());
    }
}
